---
apiVersion: apps/v1
kind: DaemonSet
metadata:
  annotations:
    deprecated.daemonset.template.generation: "1"
  creationTimestamp: "2020-05-26T09:39:16Z"
  generation: 1
  labels:
    openshift-app: tuned
  managedFields:
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:deprecated.daemonset.template.generation: {}
        f:labels:
          .: {}
          f:openshift-app: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"78603702-46cd-4123-afaf-b9c3703e9769"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:revisionHistoryLimit: {}
        f:selector:
          f:matchLabels:
            .: {}
            f:openshift-app: {}
        f:template:
          f:metadata:
            f:labels:
              .: {}
              f:openshift-app: {}
          f:spec:
            f:containers:
              k:{"name":"tuned"}:
                .: {}
                f:command: {}
                f:env:
                  .: {}
                  k:{"name":"OCP_NODE_NAME"}:
                    .: {}
                    f:name: {}
                    f:valueFrom:
                      .: {}
                      f:fieldRef:
                        .: {}
                        f:apiVersion: {}
                        f:fieldPath: {}
                  k:{"name":"RELEASE_VERSION"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"RESYNC_PERIOD"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"WATCH_NAMESPACE"}:
                    .: {}
                    f:name: {}
                    f:valueFrom:
                      .: {}
                      f:fieldRef:
                        .: {}
                        f:apiVersion: {}
                        f:fieldPath: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:lifecycle:
                  .: {}
                  f:preStop:
                    .: {}
                    f:exec:
                      .: {}
                      f:command: {}
                f:name: {}
                f:resources:
                  .: {}
                  f:requests:
                    .: {}
                    f:cpu: {}
                    f:memory: {}
                f:securityContext:
                  .: {}
                  f:privileged: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
                f:volumeMounts:
                  .: {}
                  k:{"mountPath":"/etc/modprobe.d"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:subPath: {}
                  k:{"mountPath":"/etc/sysconfig"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:subPath: {}
                  k:{"mountPath":"/etc/sysctl.conf"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                    f:subPath: {}
                  k:{"mountPath":"/etc/sysctl.d"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                    f:subPath: {}
                  k:{"mountPath":"/etc/systemd"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:subPath: {}
                  k:{"mountPath":"/host"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                  k:{"mountPath":"/lib/modules"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/run/systemd/system"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/sys"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                  k:{"mountPath":"/var/lib/tuned/profiles-data"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                  k:{"mountPath":"/var/run/dbus"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
            f:dnsPolicy: {}
            f:hostIPC: {}
            f:hostNetwork: {}
            f:hostPID: {}
            f:nodeSelector:
              .: {}
              f:kubernetes.io/os: {}
            f:priorityClassName: {}
            f:restartPolicy: {}
            f:schedulerName: {}
            f:securityContext: {}
            f:serviceAccount: {}
            f:serviceAccountName: {}
            f:terminationGracePeriodSeconds: {}
            f:tolerations: {}
            f:volumes:
              .: {}
              k:{"name":"etc"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"host"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"lib-modules"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"run-systemd-system"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"sys"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"var-lib-tuned-profiles-data"}:
                .: {}
                f:configMap:
                  .: {}
                  f:defaultMode: {}
                  f:items: {}
                  f:name: {}
                  f:optional: {}
                f:name: {}
              k:{"name":"var-run-dbus"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
        f:updateStrategy:
          f:rollingUpdate:
            .: {}
            f:maxUnavailable: {}
          f:type: {}
    manager: cluster-node-tuning-operator
    operation: Update
    time: "2020-05-26T09:39:16Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:currentNumberScheduled: {}
        f:desiredNumberScheduled: {}
        f:numberAvailable: {}
        f:numberReady: {}
        f:observedGeneration: {}
        f:updatedNumberScheduled: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T09:50:28Z"
  name: tuned
  namespace: openshift-cluster-node-tuning-operator
  ownerReferences:
  - apiVersion: tuned.openshift.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: Tuned
    name: default
    uid: 78603702-46cd-4123-afaf-b9c3703e9769
  resourceVersion: "16950"
  selfLink: /apis/apps/v1/namespaces/openshift-cluster-node-tuning-operator/daemonsets/tuned
  uid: 942c8b39-20eb-45c9-91fc-4bdc4c8a890f
spec:
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      openshift-app: tuned
  template:
    metadata:
      creationTimestamp: null
      labels:
        openshift-app: tuned
    spec:
      containers:
      - command:
        - /var/lib/tuned/bin/run
        - start
        env:
        - name: WATCH_NAMESPACE
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
        - name: OCP_NODE_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: spec.nodeName
        - name: RESYNC_PERIOD
          value: "600"
        - name: RELEASE_VERSION
          value: 0.0.1-2020-05-26-050349
        image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:896f77056906fe7dd2305318b1f15812496c4267df8095216f150dafc0060040
        imagePullPolicy: IfNotPresent
        lifecycle:
          preStop:
            exec:
              command:
              - /var/lib/tuned/bin/run
              - stop
        name: tuned
        resources:
          requests:
            cpu: 10m
            memory: 50Mi
        securityContext:
          privileged: true
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: FallbackToLogsOnError
        volumeMounts:
        - mountPath: /var/lib/tuned/profiles-data
          name: var-lib-tuned-profiles-data
        - mountPath: /etc/modprobe.d
          name: etc
          subPath: modprobe.d
        - mountPath: /etc/sysconfig
          name: etc
          subPath: sysconfig
        - mountPath: /etc/sysctl.d
          name: etc
          readOnly: true
          subPath: sysctl.d
        - mountPath: /etc/sysctl.conf
          name: etc
          readOnly: true
          subPath: sysctl.conf
        - mountPath: /etc/systemd
          name: etc
          subPath: systemd
        - mountPath: /sys
          name: sys
        - mountPath: /var/run/dbus
          name: var-run-dbus
          readOnly: true
        - mountPath: /run/systemd/system
          name: run-systemd-system
          readOnly: true
        - mountPath: /lib/modules
          name: lib-modules
          readOnly: true
        - mountPath: /host
          name: host
      dnsPolicy: ClusterFirst
      hostIPC: true
      hostNetwork: true
      hostPID: true
      nodeSelector:
        kubernetes.io/os: linux
      priorityClassName: system-node-critical
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: tuned
      serviceAccountName: tuned
      terminationGracePeriodSeconds: 30
      tolerations:
      - operator: Exists
      volumes:
      - hostPath:
          path: /etc
          type: Directory
        name: etc
      - hostPath:
          path: /sys
          type: Directory
        name: sys
      - hostPath:
          path: /var/run/dbus
          type: Directory
        name: var-run-dbus
      - hostPath:
          path: /run/systemd/system
          type: Directory
        name: run-systemd-system
      - hostPath:
          path: /lib/modules
          type: Directory
        name: lib-modules
      - hostPath:
          path: /
          type: Directory
        name: host
      - configMap:
          defaultMode: 420
          items:
          - key: tuned-profiles-data
            path: tuned-profiles.yaml
          name: tuned-profiles
          optional: true
        name: var-lib-tuned-profiles-data
  updateStrategy:
    rollingUpdate:
      maxUnavailable: 1
    type: RollingUpdate
status:
  currentNumberScheduled: 6
  desiredNumberScheduled: 6
  numberAvailable: 6
  numberMisscheduled: 0
  numberReady: 6
  observedGeneration: 1
  updatedNumberScheduled: 6
